<?xml version="1.0"?>
<project>
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>com.flamesgroup</groupId>
    <artifactId>antrax</artifactId>
    <version>1.18.0-SNAPSHOT</version>
  </parent>

  <artifactId>antrax.scripts</artifactId>
  <name>antrax.scripts</name>

  <dependencies>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.plugins.api</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.flamesgroup</groupId>
      <artifactId>antrax.storage-api</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>${junit.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.jmockit</groupId>
      <artifactId>jmockit</artifactId>
      <version>${jmockit.version}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-source-plugin</artifactId>
        <version>2.1.2</version>
        <executions>
          <execution>
            <id>attach-sources</id>
            <phase>package</phase>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <version>2.6</version>
        <configuration>
          <archive>
            <manifest>
              <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
            </manifest>
          </archive>
        </configuration>
      </plugin>
    </plugins>
  </build>

</project>
